Skip to main content
`Ctrl`+`K`

# RGSetComplement

Sets a flag to indicate that the region is the complement of the specified one.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGSetComplement(RG rg,PetscBool flg)

Logically Collective

## Input Parameters

- rg - the region context

- flg - the boolean flag

## Options Database Key

- -rg_complement - activate/deactivate complementing of the region

## See Also

RG: Region, `RGGetComplement()`

## Level

intermediate

## Location

src/sys/classes/rg/interface/rgbasic.c

## Examples

src/eps/tutorials/ex30.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages